﻿namespace ExportGridToPdfSample
{
    using System;
    using System.IO;
    using System.Windows.Forms;
    using Infragistics.Documents.Reports.Report;
    using Infragistics.Documents.Reports.Report.Section;

    public partial class SampleForm : Form
    {
        public SampleForm()
        {
            InitializeComponent();
        }

        private void sampleToolbarsManager_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
            if (e.Tool.Key == "ExportPdf")
            {
                this.ExportGridToPdf();
            }
            else if(e.Tool.Key == "GetByteArray")
            {
                var byteArray = this.GetByteArrayFromFile("grid.pdf");              
            }
        }

        private void ExportGridToPdf()
        {
            try
            {
                Report report = new Report();

                ISection section = this.sampleGridDocumentExporter.Export(this.sampleGrid, report);

                report.Publish("grid.pdf", FileFormat.PDF);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, ex.Source);
            }
        }

        private byte[] GetByteArrayFromFile(string filePath)
        {
            byte[] bytes = null;

            try
            {
                bytes = File.ReadAllBytes(filePath);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, ex.Source);
            }

            return bytes;
        }
      
    }
}
